package turbomail.api;

import java.io.FileOutputStream;

import turbomail.mime.Message;
import turbomail.web.MailMain;
import turbomail.web.ServerConf;
import turbomail.mime.HeaderPair;

public class TestAction implements Action{
	
	public   int iNum = 0;
	/*
	 *  (non-Javadoc)
	 * @see turbomail.api.Action#doAction(java.lang.String[])
	 * args[0] ---类名
	 * args[1] --- 邮件目录
	 * args[2] --- 相关参数字串
	 * 
	 * @return
	 * 0 -- 成功执行
	 * 1 -- 返回失败， 邮件系统不再处理该邮件
	 * 
	 */
	
	public int doAction(String[] args) {
		try {

			/*	String strTempMsgFile = args[1];

			//建立系统环境
			MailMain.s_config = new ServerConf();
			int iCurNum = 0;
			synchronized(this){
				iCurNum = iNum++;
			}
			
			try {
				//新建邮件类
				Message tempMsg = new Message(Message.MSG_SPOOLQUEUE);
				
				FileOutputStream fos = new	 FileOutputStream("e:\\tmp\\outmsg\\"
						+ iCurNum + ".msg"); 
				
				System.out.println("call testAction:");
			   //打开邮件				
				tempMsg.OpenProfile(strTempMsgFile);
				
				//取发件人
				HeaderPair pHP = tempMsg.m_MimePart.m_MimeHeader.FindHeaderPair("from");
				if(pHP!=null)
					fos.write(("subject:" + pHP.m_pValue).getBytes());
				
//				取收件人
				pHP = tempMsg.m_MimePart.m_MimeHeader.FindHeaderPair("to");
				if(pHP!=null)
					fos.write(("to:" + pHP.m_pValue).getBytes());
				
//				邮件主题
				pHP = tempMsg.m_MimePart.m_MimeHeader.FindHeaderPair("subject");
				if(pHP!=null)
					fos.write(("to:" + pHP.m_pValue).getBytes());
				
				//设置附件临时目录
				String href_prefix = "/temp";
				
				//取邮件显示内容, sbEncode 为邮件内容charset 编码
				StringBuffer sbEncode = new StringBuffer();
				String strContent = tempMsg.GetShowMsg(href_prefix, 0, true, sbEncode);
				fos.write(("content:" + strContent).getBytes());
				
				//关闭邮件
				tempMsg.Close();
				fos.close(); 
			} catch (Exception mimex) {
				mimex.printStackTrace();
			}
			*/
			System.out.println("call plugin TextAction");
		} catch (Exception e) {
			e.printStackTrace();
		}
		return 1;
	}

}
